• If you need help or want to discuss things, you now can also join us on our Discord Server!
Sinusbot Installer Script

EN Sinusbot Installer Script 1.5

No permission to download

fabm3n

Well-Known Member
Tier II
Tier III
Tier I
is awesome!
is uber awesome!
Insider
You need to fix your apt repositorys of your system.
(For example Proxmox and Spotify and some opther repos are causing your problems)
 

Frostoloh

New Member
(i use centos8 and i can't change operating system)
Please help!!


[[email protected] ~]# bash <(wget -O - 'https://raw.githubusercontent.com/SinusBot/installer-linux/master/sinusbot_installer.sh')

Redirecting output to 'wget-log.5'.
Checking for the latest installer version
/dev/fd/63: line 92: 3: No such file or directory
This is the automatic installer for latest SinusBot. USE AT YOUR OWN RISK!
You can choose between installing, upgrading and removing the SinusBot.
Installer by Philipp Esswein | DAThosting.eu - Your game-/voiceserver hoster (only german).
Please rate this script at: https://forum.sinusbot.com/resources/sinusbot-installer-script.58/
You're using installer 1.5
What should the installer do?
1) Install
2) Update
3) Remove
4) PW Reset
5) Quit
#? 1
Installing redhat-lsb! Please wait.
Done!
You're running CentOS. Which firewallsystem are you using?
1) IPtables
2) Firewalld
#? 2
Warning, your server is running OpenVZ! This very old container system isn't well supported by newer packages.
Automatically chosen system.d for your startscript!
Automatic usage or own directories?
1) Automatic
2) Own path
3) Quit
#? 1
Should I install TeamSpeak or only Discord Mode?
1) Both
2) Only Discord
3) Quit
#? 1
SinusBot isn't installed yet. Installer goes on.
This SinusBot version is only for private use! Accept?
1) No
2) Yes
#? 2
Should YT-DL be installed/updated?
1) Yes
2) No
#? 1
Update the system packages to the latest version? (Recommended)
1) Yes
2) No
#? 1
Starting the installer now!
Updating the system in a few seconds!
This could take a while. Please wait up to 10 minutes!
Searching latest TS3-Client build for hardware type x86_64 with arch amd64.
Detected latest TS3-Client version as 3.3.2
Installing necessary packages. Please wait...
Error: Unable to find a match: xvfb libxcursor1 libglib2.0-0 cron-apt ntp python libnss3 libegl1-mesa x11-xkb-utils libasound2 libxcomposite-dev libxi6 libpci3 libxslt1.1 libxkbcommon0 libxss1
Command which failed was: " yum -y install screen xvfb libxcursor1 ca-certificates bzip2 psmisc libglib2.0-0 less cron-apt ntp python iproute which dbus libnss3 libegl1-mesa x11-xkb-utils libasound2 libxcomposite-dev libxi6 libpci3 libxslt1.1 libxkbcommon0 libxss1". Please try to execute it manually and attach the output to the bug report in the forum thread.
If it still doesn't work report this to the author at https://forum.sinusbot.com/threads/sinusbot-installer-script.1200/ only. Not a PN or a bad review, cause this is an error of your system not of the installer script. Line 622.
 

TwentyFour

BinusSot Junkie
V.I.P.
Contributor
Insider
Command which failed was: " yum -y install screen xvfb libxcursor1 ca-certificates bzip2 psmisc libglib2.0-0 less cron-apt ntp python iproute which dbus libnss3 libegl1-mesa x11-xkb-utils libasound2 libxcomposite-dev libxi6 libpci3 libxslt1.1 libxkbcommon0 libxss1". Please try to execute it manually and attach the output to the bug report in the forum thread.
Please read again ... (I highlighted you the important part, in case you missed it)
Then act accordingly. :)
 

fabm3n

Well-Known Member
Tier II
Tier III
Tier I
is awesome!
is uber awesome!
Insider
And please post uname -a bcause you are using OpenVZ. This could maybe be a problem using Sinusbot with TS3
 

Frostoloh

New Member
i tried to do it manually but he gave me an error


[[email protected] ~]# yum -y install screen xvfb libxcursor1 ca-certificates bzip2 psmisc libglib2.0-0 less cron-apt ntp python iproute which dbus libnss3 libegl1-mesa x11-xkb-utils libasound2 libxcomposite-dev libxi6 libpci3 libxslt1.1 libxkbcommon0 libxss1
CentOS-8 - AppStream 18 kB/s | 4.3 kB 00:00
CentOS-8 - Base 12 kB/s | 3.9 kB 00:00
CentOS-8 - Extras 5.4 kB/s | 1.5 kB 00:00
Extra Packages for Enterprise Linux Modular 8 - x86_64 65 kB/s | 34 kB 00:00
Extra Packages for Enterprise Linux 8 - x86_64 58 kB/s | 30 kB 00:00
Remi's Modular repository for Enterprise Linux 8 - x86_64 42 kB/s | 3.5 kB 00:00
Safe Remi's RPM repository for Enterprise Linux 8 - x86_64 33 kB/s | 3.0 kB 00:00
Package screen-4.6.2-10.el8.x86_64 is already installed.
No match for argument: xvfb
No match for argument: libxcursor1
Package ca-certificates-2019.2.32-80.0.el8_1.noarch is already installed.
Package bzip2-1.0.6-26.el8.x86_64 is already installed.
Package psmisc-23.1-3.el8.x86_64 is already installed.
No match for argument: libglib2.0-0
Package less-530-1.el8.x86_64 is already installed.
No match for argument: cron-apt
No match for argument: ntp
No match for argument: python
There are following alternatives for "python": python2, python36
Package iproute-4.18.0-15.el8.x86_64 is already installed.
Package which-2.21-10.el8.x86_64 is already installed.
Package dbus-1:1.12.8-9.el8.x86_64 is already installed.
No match for argument: libnss3
No match for argument: libegl1-mesa
No match for argument: x11-xkb-utils
No match for argument: libasound2
No match for argument: libxcomposite-dev
No match for argument: libxi6
No match for argument: libpci3
No match for argument: libxslt1.1
No match for argument: libxkbcommon0
No match for argument: libxss1
Error: Unable to find a match: xvfb libxcursor1 libglib2.0-0 cron-apt ntp python libnss3 libegl1-mesa x11-xkb-utils libasound2 libxcomposite-dev libxi6 libpci3 libxslt1.1 libxkbcommon0 libxss1
[[email protected] ~]#
 

TwentyFour

BinusSot Junkie
V.I.P.
Contributor
Insider
Das ist ein Problem seitens youtube-dl, hat nichts mit dem SinusBot, und erst recht nichts mit dem Installer zu tun.
Einfach mal die Foren Suche bemühen, da findet man einiges.
 

wrLd1337

New Member
Ich weiß nicht ob ich es einfach nicht sehe, kann man den Sinusbot auf einem bereits existierendem Ts3 Server installieren? Bei der automatischen Installation wird ja direkt ein Teamspeak-Client mitinstalliert, jedoch möchte ich dies nicht.

Gibt es da eine Lösung?
 

TwentyFour

BinusSot Junkie
V.I.P.
Contributor
Insider
Weshalb möchtest du denn keinen TeamSpeak-Client?
Generell wirst du ohne einen Client i.A. nicht auf einen Server connecten können! Da dies auch für TS gilt, wäre somit die Antwort, nein. ;)

Natürlich lässt sich der Bot zB. auf den gleichen VPS installieren, aber dafür ist das hier nicht der richtige Thread.
 
Last edited:
Hi, when I try to include the sinusbot I get this error message: "Command failed:" apt-get update ". Try to run it manually and attach the output to the bug report in the forum thread." Even after executing the registered command it persists.
 

Himsel

Donor
is awesome!
Contributor
Hi, when I try to include the sinusbot I get this error message: "Command failed:" apt-get update ". Try to run it manually and attach the output to the bug report in the forum thread." Even after executing the registered command it persists.
Read the error message again carefully! ...attach the output to the bug report...

Further information may also be useful. click
 
Last edited:

BroadRooti

New Member
Hallo kann mir jemand helfen?
Wenn ich den Befehl für das scrip ausführe, bekomme ich folgende Meldung:
[email protected]:/home# bash <(wget -O - 'https://raw.githubusercontent.com/SinusBot/installer-linux/master/sinusbot_installer.sh')

Redirecting output to ‘wget-log.1’.
Checking for the latest installer version
/dev/fd/63: line 92: 3: No such file or directory
This is the automatic installer for latest SinusBot. USE AT YOUR OWN RISK!
You can choose between installing, upgrading and removing the SinusBot.
Installer by Philipp Esswein | DAThosting.eu - Your game-/voiceserver hoster (only german).
Please rate this script at: https://forum.sinusbot.com/resources/sinusbot-installer-script.58/
You're using installer 1.5
What should the installer do?
1) Install
2) Update
3) Remove
4) PW Reset
5) Quit
#? 1
Check if lsb-release and debconf-utils is installed...
E: The repository 'http://ppa.launchpad.net/linuxuprising/java/ubuntu groovy Release' does not have a Release file.
Command which failed was: " apt-get update". Please try to execute it manually and attach the output to the bug report in the forum thread.
If it still doesn't work report this to the author at https://forum.sinusbot.com/threads/sinusbot-installer-script.1200/ only. Not a PN or a bad review, cause this is an error of your system not of the installer script. Line 263.
[email protected]:/home# apt-get update
Hit:1 http://security.debian.org/debian-security buster/updates InRelease
Hit:2 http://deb.debian.org/debian buster InRelease
Hit:3 http://deb.debian.org/debian buster-updates InRelease
Ign:4 http://ppa.launchpad.net/linuxuprising/java/ubuntu groovy InRelease
Err:5 http://ppa.launchpad.net/linuxuprising/java/ubuntu groovy Release
404 Not Found [IP: 2001:67c:1560:8008::15 80]
Reading package lists... Done
E: The repository 'http://ppa.launchpad.net/linuxuprising/java/ubuntu groovy Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
 

killertez

New Member
2020-05-18T20:23:39+10:00 closing channels
2020-05-18T20:23:38+10:00 TSClient quit. LogLevel has been increased, please try to connect again to see more details.
2020-05-18T20:23:38+10:00 Closed.
2020-05-18T20:23:38+10:00 TS>/opt/sinusbot/teamspeak3-client/ts3client_linux_amd64: symbol lookup error: /opt/sinusbot/teamspeak3-client/libQt5XcbQpa.so.5: undefined symbol: FT_Get_Font_Format
2020-05-18T20:23:38+10:00 TS>QXcbIntegration: Cannot create platform OpenGL context, neither GLX nor EGL are enabled
2020-05-18T20:23:38+10:00 TS>QXcbIntegration: Cannot create platform OpenGL context, neither GLX nor EGL are enabled
2020-05-18T20:23:38+10:00 TS>QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-sinusbot'
2020-05-18T20:23:38+10:00 TS>qt.qpa.xkeyboard: no keyboard layouts with latin keys present
2020-05-18T20:23:38+10:00 TS>QCoreApplication::applicationDirPath: Please instantiate the QApplication object first
2020-05-18T20:23:38+10:00 TS>/opt/sinusbot/teamspeak3-client/ts3client_linux_amd64: /lib/x86_64-linux-gnu/libdbus-1.so.3: no version information available (required by /opt/sinusbot/teamspeak3-client/libQt5WebEngineCore.so.5)
2020-05-18T20:23:38+10:00 TS |INFO |Addons | |Checking for addon updates...
2020-05-18T20:23:38+10:00 TS |ERROR |RevocationListCache| |Failed to import revocation list from cache
2020-05-18T20:23:38+10:00 TS |INFO |ClientUI | |Unable to create an Open GL context.
2020-05-18T20:23:38+10:00 TS |DEBUG |PulseAudio | |connected to pulse audio server -
2020-05-18T20:23:38+10:00 TS |INFO | | |Using hardware aes
2020-05-18T20:23:38+10:00 TS |INFO | | |SystemInformation: Linux 3.16.0-10-amd64 #1 SMP Debian 3.16.81-1 (2020-01-17) x86_64 Binary: 64bit
2020-05-18T20:23:38+10:00 TS |INFO | | |TeamSpeak Client 3.5.3 (2020-05-06 09:07:50)
2020-05-18T20:23:38+10:00 TS>DUMP defined! Dumpdir is: /opt/sinusbot/data/ts3/dd5f3c05-0b26-42e0-8dac-aceb3e1a2d7b/ef72c174-4ec2-477b-948f-db13fbc7c0f7/crashdumps
2020-05-18T20:23:38+10:00 TS>Crashdump ENABLED, directory is: /opt/sinusbot/data/ts3/dd5f3c05-0b26-42e0-8dac-aceb3e1a2d7b/ef72c174-4ec2-477b-948f-db13fbc7c0f7/crashdumps
 

TwentyFour

BinusSot Junkie
V.I.P.
Contributor
Insider
how can u fix that with out wiping the server?
The question is whether you can fix it yourself at all.
Are you having an OpenVZ or KVM server? Only with the latter you can upgrade the kernel by yourself, otherwise it's up to your hoster.
 

Similar threads

Top